# Dell Power connect PSU

Monitors the status of Dell Power connect power supplys.

This is a rewrite of the original CMK dell_powerconnect_psu check for CMK 2.1. 

- fixes missing PSUs in case there are more PSUs with the same name but different index
- addes current power consumption as perfdata

---
### Download
* [dell_powerconnect_psu.mkp](https://thl-cmk.hopto.org/gitlab/checkmk/dell/dell_powerconnect_psu/-/raw/master/dell_powerconnect_psu.mkp "Download the MKP file")
                        
---
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install dell_powerconnect_psu.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to Contribute?
Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Check Info

The plugin creates the service **_Sensor_** for each discovered power supply with the **_index and name_** of the power supply as item

<details><summary>Montoring states</summary>

| State | condition | WATO | 
| ------ | ------ | ------ |
| WARN/CRIT | Power supply state | no |
| WARN/CRIT | Power usage levels | yes |

</details>

<details><summary>Perfdata</summary>

| Metric | Unit | Perfometer |
| ------ | ------ | ------ |
| Power usage | W | yes |

</details>

---
### WATO
<details><summary>Service monitoring rule</summary>

| Section | Rule name |
| ------ | ------ |
| Networking | Power Supply Wattage  |

</details> 

<details><summary>Discovery rule</summary>

There is no discovery rule.

</details> 

---
### Sample Output

Sample output

![sample output](/doc/sample.png?raw=true "sample output")

